using C1.Win.Chart;
using C1.Win.Chart.Interaction;

namespace FlexChart_Sample
{
    public partial class Form1 : Form
    {
        FlexChart _chart;
        public Form1()
        {
            InitializeComponent();

            var rnd = new Random();
            _chart = new FlexChart()
            {
                Dock = DockStyle.Fill,
                DataSource = Enumerable.Range(1, 2000).Select(i => new Point(i, rnd.Next(1, 99))).ToList(),
                BindingX = "X",
                Binding = "Y",
                Series = { new Series() },
                AxisY = { Min = 0, Max = 100 }
            };

            new AxisScrollbar(_chart.AxisX) { Minimum = 1, Maximum = 2000, LowerValue = 1, UpperValue = 20 };

            this.Controls.Add(_chart);
        }
    }
}
